package com.hina.demo.model;

import java.util.Map;

public class HookMessageReq {
    /**
     * 消息编号
     */
    private String msg_id;

    /**
     * 项目名（非显示名，而是作为标识符的英文名）
     */
    private String project_name;

    /**
     * 智能运营版本信息
     */
    private String sf_version;

    /**
     * 您在 webhook 中配置的动态用户属性
     */
    private Map<String, String> user_profile;

    /**
     * 您在 webhook 中配置的动态&静态参数
     */
    private Map<String, String> params;

    /**
     * 发送 ID
     */
    private String send_id;

    public String getMsg_id() {
        return msg_id;
    }

    public void setMsg_id(String msg_id) {
        this.msg_id = msg_id;
    }

    public String getProject_name() {
        return project_name;
    }

    public void setProject_name(String project_name) {
        this.project_name = project_name;
    }

    public String getSf_version() {
        return sf_version;
    }

    public void setSf_version(String sf_version) {
        this.sf_version = sf_version;
    }

    public Map<String, String> getUser_profile() {
        return user_profile;
    }

    public void setUser_profile(Map<String, String> user_profile) {
        this.user_profile = user_profile;
    }

    public Map<String, String> getParams() {
        return params;
    }

    public void setParams(Map<String, String> params) {
        this.params = params;
    }

    public String getSend_id() {
        return send_id;
    }

    public void setSend_id(String send_id) {
        this.send_id = send_id;
    }
}

